Bug 251728 - Exception was occurred during RHEL4.5 SAN boot installation with VCM on Symmetrix
Exception was occurred during RHEL4.5 SAN boot installation with VCM on Symme...
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: parted (Show other bugs)
ia64 Linux
low Severity high
: ---
: ---
Assigned To: Joel Andres Granados
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2007-08-10 14:24 EDT by Pan Haifeng
Modified: 2008-11-03 09:33 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-11-03 09:33:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Pan Haifeng 2007-08-10 14:24:39 EDT
Description of problem:
Exception was occurred when they create mirror of system volume during RHEL4.5 

Version-Release number of selected component (if applicable):

How reproducible:
The procedure is as follows. 

1) Create ks.cfg

2) boot from another OS then put ks.cfg on SAS disk

3) boot from CD-ROM. execute linux ks=hd:sda1/ks.cfg at "ELILO Boot:" prompt.

4) error was occurred during making partition by using Disk Druid


  +-----------------------------------+ PRIMEQUEST520
  | PRIMEQUEST520                     |   PAL : 7.46/9.08
  |                                |   SAL : 2.23/2.23
  | SAS x1 (/dev/sda for ks.cfg)         |   BMC : 1.27
  |                                |   EFI :
  |                                |   MMB : 3.13
  |   IOU#0-slot#4      IOU#0-slot#6    |
  |     LP11002          LP11002      | LP11002
  |    port0  port1     port0   port1   |   Firm : 2.70a5
  +-----------------------------------+   EFI  : 3.11X1
        |       |    |     |
        |      n/a   n/a   n/a
  |   FUJITSU SN200/M430  | FabricOS: v5.1.0b
  |    FA04-c0           | Group6 RAID Configuration
  |    Group6(256LUN)      |  LUN#000-001(30GB) : M1/M2
  |                     |  LUN#002-123( 2GB) : 7+1 RAID5
  |  DMX3(HK190100302)      |  LUN#124-247( 2GB) : M1/M2,BCV
  |  Micro. Rev: 5771.95.103 |  LUN#248-249( 2GB) : 7+1 RAID5
  +--------------------------+  LUN#250-255       : GateKeeper


Steps to Reproduce:
Actual results:
An unhandled exception has occured. This is most likely a 
bug. Please copy the full text of this exception and file a detailed bug report 
against anaconda at 

Traceback(most recent call last): 
File "/var/tmp/anaconda-", line 792 in next 
ZeroDivisionError: fload division 

Expected results:
No error

Additional info:
Exception was not occurred without GateKeeper(GK) LUN, but was occurred with GK
(256 LUNs and 60 LUNs). 

The error of RHEL4.5 seems to happen when there is a very small size volume 
like GK. 

reproduce this without creating ks.cfg and could reproduce.
Error was also occurred during making partition by using Disk Druid.

According to the analysis of Fujitsu, it seems to be caused by totalsector value
(= 0) of GK.
Comment 1 Pan Haifeng 2007-08-10 14:36:35 EDT
duplicate with bug 251730
Comment 2 Joel Andres Granados 2008-11-03 09:08:21 EST
This bug is not planned for RHEL4.8 and will not go in into the next versions of RHEL4 as it goes into production2 cycle.  The best way to address this issue is to test in fedora and/or RHLE5 and reopen another bug for eacho of those products (if the bug is present there, that is).
Comment 3 RHEL Product and Program Management 2008-11-03 09:33:13 EST
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.